"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _bluebird = _interopRequireDefault(require("bluebird"));

var _path = _interopRequireDefault(require("path"));

var _ = require("../../");

var _util = require("./util");

var _state = require("../../navy/state");

var _util2 = require("../../navy/util");

async function _default() {
  const rimraf = _bluebird.default.promisify(require('rimraf'));

  (0, _util.start)('Cleaning temporary Docker Compose files');
  const navyNames = await (0, _.getLaunchedNavyNames)();
  await Promise.all(navyNames.map(async navyName => {
    const navyPath = (0, _state.pathToNavy)((0, _util2.normaliseNavyName)(navyName));
    await rimraf(_path.default.join(navyPath, 'docker-compose.tmp.yml'));
  }));
}

module.exports = exports.default;