"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _chalk = _interopRequireDefault(require("chalk"));

var _getLanIp = require("../util/get-lan-ip");

var _config = require("../config");

var _reconfigure = require("./util/reconfigure");

async function _default(navy) {
  const lanIP = await (0, _getLanIp.getLANIP)();
  await (0, _config.setConfig)({ ...(0, _config.getConfig)(),
    externalIP: lanIP
  });
  await (0, _reconfigure.reconfigureAllNavies)();
  console.log();
  console.log(_chalk.default.green(` ✔ Now using your LAN IP address (${lanIP})`));
  console.log();
}

module.exports = exports.default;