"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _chalk = _interopRequireDefault(require("chalk"));

var _config = require("../config");

var _reconfigure = require("./util/reconfigure");

async function _default(navy) {
  await (0, _config.setConfig)({ ...(0, _config.getConfig)(),
    externalIP: '127.0.0.1'
  });
  await (0, _reconfigure.reconfigureAllNavies)();
  console.log();
  console.log(_chalk.default.green(' ✔ Now using your local IP address (127.0.0.1)'));
  console.log();
}

module.exports = exports.default;