"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reconfigureAllNavies = reconfigureAllNavies;

var _ = require("../../");

var _driverLogging = require("../../driver-logging");

async function reconfigureAllNavies() {
  const navies = await (0, _.getLaunchedNavies)();

  for (const navy of navies) {
    (0, _driverLogging.startDriverLogging)('Reconfiguring ' + navy.name);
    await navy.reconfigure();
    (0, _driverLogging.stopDriverLogging)();
  }
}