"use strict";

var _chai = require("chai");

var _util = require("../util");

/* eslint-env mocha */
describe('npm config provider', function () {
  describe('pathToModule', function () {
    it('should return the correct path to the module', function () {
      (0, _chai.expect)((0, _util.pathToModule)('/root', 'my-environment')).to.equal('/root/my-environment');
      (0, _chai.expect)((0, _util.pathToModule)('/root', '@my-org/my-environment')).to.equal('/root/@my-org/my-environment');
      (0, _chai.expect)((0, _util.pathToModule)('/root', '@my-org/my-environment@some-tag')).to.equal('/root/@my-org/my-environment');
    });
  });
});