"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resolveDriverFromName = resolveDriverFromName;

var _dockerCompose = _interopRequireDefault(require("./drivers/docker-compose"));

function resolveDriverFromName(driverName) {
  switch (driverName) {
    case 'docker-compose':
      return _dockerCompose.default;
  }

  return null;
}