"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getOrInitialiseNavy = getOrInitialiseNavy;

var _ = require("../../");

var _import = require("./import");

var _filesystem = _interopRequireDefault(require("../../config-providers/filesystem"));

async function getOrInitialiseNavy(navyName) {
  const navy = (0, _.getNavy)(navyName);

  if (!(await navy.isInitialised())) {
    await (0, _import.importNavy)(navy, await _filesystem.default.getImportOptionsForCLI({}));
  }

  return navy;
}