"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Navy", {
  enumerable: true,
  get: function () {
    return _navy.Navy;
  }
});
Object.defineProperty(exports, "NavyError", {
  enumerable: true,
  get: function () {
    return _errors.NavyError;
  }
});
exports.Service = void 0;
Object.defineProperty(exports, "getLaunchedNavies", {
  enumerable: true,
  get: function () {
    return _navy.getLaunchedNavies;
  }
});
Object.defineProperty(exports, "getLaunchedNavyNames", {
  enumerable: true,
  get: function () {
    return _navy.getLaunchedNavyNames;
  }
});
Object.defineProperty(exports, "getNavy", {
  enumerable: true,
  get: function () {
    return _navy.getNavy;
  }
});
Object.defineProperty(exports, "middlewareHelpers", {
  enumerable: true,
  get: function () {
    return _helpers.middlewareHelpers;
  }
});

var _navy = require("./navy");

var _Service = _interopRequireWildcard(require("./service"));

exports.Service = _Service;

var _errors = require("./errors");

var _helpers = require("./middleware/helpers");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }