"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lodash = require("lodash");

var _default = (config, state) => ({ ...config,
  services: (0, _lodash.mapValues)(config.services, (serviceConfig, serviceName) => {
    const serviceState = state.services[serviceName] || {};
    return { ...serviceConfig,
      image: serviceState.image || serviceConfig.image
    };
  })
});

exports.default = _default;
module.exports = exports.default;