"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _develop = _interopRequireDefault(require("../middleware/develop"));

var _tagOverride = _interopRequireDefault(require("../middleware/tag-override"));

var _portOverride = _interopRequireDefault(require("../middleware/port-override"));

var _addVirtualHosts = _interopRequireDefault(require("../middleware/add-virtual-hosts"));

var _setEnvVars = _interopRequireDefault(require("../middleware/set-env-vars"));

var _setLoggingDriver = _interopRequireDefault(require("../middleware/set-logging-driver"));

var _setImage = _interopRequireDefault(require("../middleware/set-image"));

var _default = navy => [_develop.default, _tagOverride.default, _portOverride.default, _setEnvVars.default, _setLoggingDriver.default, _setImage.default, (0, _addVirtualHosts.default)(navy)];

exports.default = _default;
module.exports = exports.default;