"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getLANIP = getLANIP;

var _dns = _interopRequireDefault(require("dns"));

var _os = _interopRequireDefault(require("os"));

async function getLANIP() {
  return await new Promise((resolve, reject) => {
    _dns.default.lookup(_os.default.hostname(), null, (err, addr) => {
      if (err) {
        return reject(err);
      }

      return resolve(addr);
    });
  });
}