"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getNavyRc;

var _path = _interopRequireDefault(require("path"));

var _fs = _interopRequireDefault(require("./fs"));

async function getNavyRc(dir) {
  try {
    return JSON.parse(await _fs.default.readFileAsync(_path.default.join(dir, '.navyrc')));
  } catch (ex) {
    return null;
  }
}

module.exports = exports.default;